org.bdgenomics.adam.models.TagType

# TypeVal

#### class TypeVal extends Val

Linear Supertypes
TagType.Val, TagType.Value, Serializable, Serializable, Ordered[TagType.Value], Comparable[TagType.Value], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeVal
2. Val
3. Value
4. Serializable
5. Serializable
6. Ordered
7. Comparable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TypeVal(abbreviation: String)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(v: TagType.Value): TagType.ValueSet

   Definition Classes
     Value

5. #### def <(that: TagType.Value): Boolean

   Definition Classes
     Ordered

6. #### def <=(that: TagType.Value): Boolean

   Definition Classes
     Ordered

7. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

9. #### def >(that: TagType.Value): Boolean

   Definition Classes
     Ordered

10. #### def >=(that: TagType.Value): Boolean

    Definition Classes
      Ordered

11. #### val abbreviation: String

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def compare(that: TagType.Value): Int

    Definition Classes
      Value → Ordered

15. #### def compareTo(that: TagType.Value): Int

    Definition Classes
      Ordered → Comparable

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(other: Any): Boolean

    Definition Classes
      Value → AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      Value → AnyRef → Any

21. #### def id: Int

    Definition Classes
      Val → Value

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Val

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      TypeVal → Val → AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TagType.Val

### Inherited from TagType.Value

### Inherited from Serializable

### Inherited from Ordered[TagType.Value]

### Inherited from Comparable[TagType.Value]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped